SELECT username
,COUNT(DISTINCT visit.pcucode,visit.visitno,visit.username) AS COUNT
,COUNT(CONCAT(visitno,pcucode,username)) as 'ครั้ง'
FROM visit
WHERE visitdate BETWEEN '2014-10-01' AND '2015-09-30'
GROUP BY username
#ORDER BY count DESC
UNION SELECT 'รวม' AS username
,COUNT(DISTINCT visit.pcucode,visit.visitno,visit.username) AS COUNT
,COUNT(CONCAT(visitno,pcucode,username)) as 'ครั้ง'
FROM visit
WHERE visitdate BETWEEN '2014-10-01' AND '2015-09-30'

